Redmine - Patch #20413

Use a table instead of an unordered list in "Issue tracking™ box
2015-07-26 17:15 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.2.0

Description

Using a table instead of an unorderd list to show numbers of issues in "Issue tracking" box brings the following advantages.

® neatly organized information is easier to unerstand.
e we can directly move to specific information (open features, closed bugs, ...) by clicking numbers.
Overview

» Subprojects: test-sub 25 Members

| Issue tracking Manager: Admin Redmine

Developer: Akada Mai

open closed Total
Bug &8 3 71
Feature 1 D 1 # Latest news
= lzizelis . & ! foo bar news (1 comment)
testtracker 1 0 1 Added by Admin Redmine 14
View all issues | Calendar | Gantt foo29

Added by Admin Redmine 7 1

foo28
Added by Admin Redmine 7 1

Associated revisions

Revision 14640 - 2015-10-04 14:44 - Jean-Philippe Lang

Use a table instead of an unordered list in "Issue tracking" box (#20413).

Patch by Go MAEDA.

Revision 14737 - 2015-10-24 12:21 - Jean-Philippe Lang

Adds link to open issues on tracker name (#20413).

Revision 14739 - 2015-10-24 12:24 - Jean-Philippe Lang

Removes label_x_open_issues_abbr_on_total string (#20413).

Revision 14798 - 2015-11-07 09:07 - Jean-Philippe Lang
Don't display table headers if there's no trackers (#20413).

History

#1 - 2015-07-28 23:17 - Michael Goegel

+1

#2 - 2015-07-29 05:54 - Go MAEDA

- Target version set to Candidate for next major release
#3 - 2015-07-29 09:11 - Robert Schneider

If you're going to implement this consider adding a small visualization. E.g. a colored bar in another column for each row. Or something like that. It
would be nice to get a fast overview.

#4 - 2015-08-06 04:56 - Go MAEDA

- Target version changed from Candidate for next major release to 3.2.0

Could this be committed?

#5 - 2015-10-04 14:45 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed in r14640 with link on tracker name removed (same as open count link).

#6 - 2015-10-04 14:58 - Go MAEDA

- Status changed from Closed to Reopened

Thank you for merging the patch!

Committed in r14640 with link on tracker name removed (same as open count link).

I think that link on tracker names is required for consistency with issues summary . And sometimes open count link is a little bit hard to click when the
number is small (for example: 1, 2, ... 9).

#7 - 2015-10-05 06:03 - Go MAEDA

- File remove-label _x_open_issues_abbr_on_total.diff added

"label_x_open_issues_abbr_on_total" is no longer used since r14640. Please apply remove-label_x_open_issues_abbr_on_total.diff to remove it from
config/locales/*.yml.

#8 - 2015-10-24 12:24 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Done.
